
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>产品展示_<%=TD_home%></title>
<meta name="keywords" content="<%=Yifan_BigClass_key%>" />
<meta name="description" content="<%=Yifan_BigClass_des%>" />
</head>
<!--#include file="css_js.html" -->
<body id="top">
<!--#include file="top.html" -->
<div class="wrapper col2">
  <div id="breadcrumb">
    <ul>
      <li class="first"><%=TD_home%></li>
      <li>&#187;</li>
      <li><a href="<%=TD_url%>">首页</a></li>
      <li>&#187;</li>
      <li><a href="/Products/?<%=daohan("BigClassID")%>-1.html"><%=daohan("BigClassName")%></a></li>
      
    </ul>
  </div>
</div>
<div class="wrapper col3">
  <div id="container" class="clear">
    <!-- ####################################################################################################### -->
    <div id="content">
      <div id="gallery" class="clear">
      <ul>
<%
BigClassID=ad
SmallClassID=b
if  not isnumeric(BigClassID)  or not isnumeric(SmallClassID) then
Response.Write "<script>alert('警告！请勿尝试注入！');history.go(-1);</script>" 
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if BigClassID="" then
exec="select * from products order by id desc"
end if
if BigClassID<>"" then
exec="select * from products where BigClassID="&BigClassID&" order by id desc"
end if
rs.open exec,conn,1,1
if rs.eof then
response.Write "&nbsp;暂无产品！"
else
rs.PageSize =""&TD_productsclass&"" '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=b
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if
end if	
%>
<%For i=1 To x%> 
 <li><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" alt="<%=rs("title")%>" /></a><strong><%=rs("title")%></strong></li>
<%rs.movenext
next
%> 
 
      </ul><%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
    </div>
      

      
    </div>
    <div id="column">
      <div class="subnav">
        <h2>栏目导航</h2>
        <script src="../js/jquery-1.2.1.min.js" type="text/javascript"></script>
	<script src="../js/menu.js" type="text/javascript"></script>
	<link rel="stylesheet" type="text/css" href="../css/style.css" />
    
<div class="left_body"><ul id="menu"><%=TD_products_class%></ul></div>
      </div>
      
      <!--#include file="index_right.html" -->
      
    </div>
    <!-- ####################################################################################################### -->
  </div>
</div>

 <!--#include file="foot.html" -->
</body>
</html>
